[package]
name = "worldcoder"
version = "0.1.0"
edition = "2024"

[dependencies]
eframe = "0.32.0"
egui = { version = "0.32.0", features = ["serde"] }
egui_extras = { version = "0.32.0", features = [
    "chrono",
    "datepicker",
    "file",
    "image",
] }
egui_file = "0.23.0"
image = { version = "0.25.6", features = ["jpeg", "png"] }
serde = { version = "1.0.219", features = ["derive"] }
serde_json = "1.0.141"
chrono = { version = "0.4.41", features = ["serde"] }
thiserror = "2.0.14"
egui_commonmark = { version = "0.21.1", features = ["embedded_image"] }
uuid = { version = "1.17.0", features = ["v4"] }
reqwest = { version = "0.12.23", features = ["blocking", "json"] }
tempfile = "3.20.0"
itertools = "0.14.0"

[features]
default = ["native", "llm"]
web = []
native = []
llm = []
